Package org.apache.jasper

# Class Constants

java.lang.Object
org.apache.jasper.Constants

public class Constants extends Object
Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CATALINA_HOME_PROP`
Name of the system property containing the tomcat product installation path
`static final int`
`DEFAULT_BUFFER_SIZE`
Default size of the JSP buffer.
`static final int`
`DEFAULT_TAG_BUFFER_SIZE`
Default size for the tag buffers.
`static final String`
`IE_PLUGIN_URL`
Deprecated.
`static final boolean`
`IS_SECURITY_ENABLED`
Has security been turned on?
`static final String`
`JSP_PACKAGE_NAME`
The default package name for compiled jsp pages.
`static final String`
`JSP_SERVLET_BASE`
The base class of the generated servlets.
`static final int`
`MAX_POOL_SIZE`
Default tag handler pool size.
`static final String`
`NS_PLUGIN_URL`
Deprecated.
Will be removed in Tomcat 10.1 onwards
`static final String`
`PRECOMPILE`
The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
`static final String`
`SERVICE_METHOD_NAME`
_jspService is the name of the method that is called by HttpJspBase.service().
`static final String`
`SERVLET_CLASSPATH`
ServletContext attribute for classpath.
`static final String`
`SESSION_PARAMETER_NAME`
The name of the path parameter used to pass the session identifier back and forth with the client.
`static final String`
`SPEC_VERSION`
`static final List<String>`
`STANDARD_IMPORTS`
`static final String`
`TAG_FILE_PACKAGE_NAME`
The default package name for tag handlers generated from tag files
`static final String`
`TEMP_VARIABLE_NAME_PREFIX`
Prefix to use for generated temporary variable names
`static final boolean`
`USE_INSTANCE_MANAGER_FOR_TAGS`
`static final String`
`XML_BLOCK_EXTERNAL_INIT_PARAM`
Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.
`static final String`
`XML_VALIDATION_TLD_INIT_PARAM`
Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SPEC_VERSION

public static final String SPEC_VERSION

See Also:
  - Constant Field Values

### JSP_SERVLET_BASE

public static final String JSP_SERVLET_BASE
The base class of the generated servlets.

### SERVICE_METHOD_NAME

public static final String SERVICE_METHOD_NAME
_jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

### STANDARD_IMPORTS

public static final List<String> STANDARD_IMPORTS

### SERVLET_CLASSPATH

public static final String SERVLET_CLASSPATH
ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them.

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE
Default size of the JSP buffer.

See Also:
  - Constant Field Values

### DEFAULT_TAG_BUFFER_SIZE

public static final int DEFAULT_TAG_BUFFER_SIZE
Default size for the tag buffers.

See Also:
  - Constant Field Values

### MAX_POOL_SIZE

public static final int MAX_POOL_SIZE
Default tag handler pool size.

See Also:
  - Constant Field Values

### PRECOMPILE

public static final String PRECOMPILE
The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

### JSP_PACKAGE_NAME

public static final String JSP_PACKAGE_NAME
The default package name for compiled jsp pages.

### TAG_FILE_PACKAGE_NAME

public static final String TAG_FILE_PACKAGE_NAME
The default package name for tag handlers generated from tag files

### NS_PLUGIN_URL

@Deprecated public static final String NS_PLUGIN_URL
Deprecated.
Will be removed in Tomcat 10.1 onwards
Default URLs to download the plugin for Netscape and IE.

See Also:
  - Constant Field Values

### IE_PLUGIN_URL

@Deprecated public static final String IE_PLUGIN_URL
Deprecated.

See Also:
  - Constant Field Values

### TEMP_VARIABLE_NAME_PREFIX

public static final String TEMP_VARIABLE_NAME_PREFIX
Prefix to use for generated temporary variable names

### IS_SECURITY_ENABLED

public static final boolean IS_SECURITY_ENABLED
Has security been turned on?

### USE_INSTANCE_MANAGER_FOR_TAGS

public static final boolean USE_INSTANCE_MANAGER_FOR_TAGS

### SESSION_PARAMETER_NAME

public static final String SESSION_PARAMETER_NAME
The name of the path parameter used to pass the session identifier back and forth with the client.

### CATALINA_HOME_PROP

public static final String CATALINA_HOME_PROP
Name of the system property containing the tomcat product installation path

See Also:
  - Constant Field Values

### XML_VALIDATION_TLD_INIT_PARAM

public static final String XML_VALIDATION_TLD_INIT_PARAM
Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  - Constant Field Values

### XML_BLOCK_EXTERNAL_INIT_PARAM

public static final String XML_BLOCK_EXTERNAL_INIT_PARAM
Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()